## lenovo-thinkpad-default-settings 1.04

=== debian/changelog ===
lenovo-thinkpad-default-settings (1.04) natty; urgency=low

  * debian/install debian/postrm debian/preinst: migrate to wrapping
    banshee, not rhythmbox

 -- James Ferguson <james.ferguson@canonical.com>  Tue, 14 Jun 2011 15:14:25 -0400

lenovo-thinkpad-default-settings (1.03) natty; urgency=low

  * usr/share/lenovo-thinkpad-default-settings/partition.sh: Fix bug
    counting partitions.

 -- James Ferguson <james.ferguson@canonical.com>  Sun, 12 Jun 2011 10:41:19 -0400

lenovo-thinkpad-default-settings (1.02) natty; urgency=low

  * etc/acpi/micmute.sh: added logic for detecting Edge 325 to enable
    different muting commands

  * usr/share/lenovo-thinkpad-default-settings/partition.sh: new logic to
    handle automatic partitioning - removal of dummy partitions which
    partman feels it has to install

 -- James Ferguson <james.ferguson@canonical.com>  Fri, 10 Jun 2011 15:01:31 -0400

lenovo-thinkpad-default-settings (1.01) natty; urgency=low

  * remove usr/share/oem-languages/languagelist.data.gz, as it's now
    handled by nanjing-natty-config

 -- James Ferguson <james.ferguson@canonical.com>  Fri, 20 May 2011 10:53:32 -0400

lenovo-thinkpad-default-settings (1.00) natty; urgency=low

  * First Port to natty.  
  * Removed desktop icons, jockey modaliases.

 -- James Ferguson <james.ferguson@canonical.com>  Thu, 19 May 2011 16:00:05 -0400

lenovo-thinkpad-default-settings (0.23) maverick; urgency=low

  * pulseaudio tweaks for t510, w510

 -- James Ferguson <james.ferguson@canonical.com>  Thu, 19 May 2011 11:11:27 -0400

lenovo-thinkpad-default-settings (0.22) maverick; urgency=low

  * debian/postinst: make /etc/apt/trusted.gpg readable - workaround
    installer bug.

 -- James Ferguson <james.ferguson@canonical.com>  Wed, 18 May 2011 15:47:47 -0400

lenovo-thinkpad-default-settings (0.21) maverick; urgency=low

  * debian/install: previous commit failed to install thinkpad-x220.conf

 -- James Ferguson <james.ferguson@canonical.com>  Mon, 02 May 2011 13:08:17 -0400

lenovo-thinkpad-default-settings (0.20) maverick; urgency=low

  * lib/udev/rules.d/91-pulseaudio-thinkpad.rules: fix case for X1 conf
    filename, add X220
  * usr/share/pulseaudio/alsa-mixer/profile-sets/thinkpad-x1.conf: fix
    contents - last commit was bad
  * usr/share/pulseaudio/alsa-mixer/profile-sets/thinkpad-x220.conf: New
    file.
  
 -- James Ferguson <james.ferguson@canonical.com>  Mon, 02 May 2011 13:07:29 -0400

lenovo-thinkpad-default-settings (0.19) maverick; urgency=low

  * debian/install: udev rule and pulseaudio conf for X1, fixing issue
    #753532, featuring:
    
  * lib/udev/rules.d/91-pulseaudio-thinkpad.rules: New file
    
  * usr/share/pulseaudio/alsa-mixer/profile-sets/thinkpad-x1.conf: New
    file.

 -- James Ferguson <james.ferguson@canonical.com>  Mon, 02 May 2011 10:41:55 -0400

lenovo-thinkpad-default-settings (0.18) maverick; urgency=low

  * debian/install: new file /etc/modprobe.d/thinkpad-blacklist.conf

  * etc/modprobe.d/thinkpad-blacklist.conf: blacklist acer_wmi module,
  which shouldn't be loaded and causes problems with wifi
  
 -- James Ferguson <james.ferguson@canonical.com>  Fri, 15 Apr 2011 13:33:27 -0400

lenovo-thinkpad-default-settings (0.17) maverick; urgency=low

  * debian/postinst: run jockey if Broadcom 0576 card present

 -- James Ferguson <james.ferguson@canonical.com>  Tue, 05 Apr 2011 13:37:51 -0400

lenovo-thinkpad-default-settings (0.16) maverick; urgency=low

  * debian/control (Depends): remove bcmwl-kernel-source - it's not
  a usable solution.  The only way this can have it update the
  package is with a dist-upgrade, not from the user gui.

  * usr/share/jockey/modaliases/bcmwl-addendum: New file.  Trigger
  install of bcmwl via a modaliases file for jockey.  The bcmwl
  package we're using comes from natty where modaliases are moved to
  the package control file, hence we have to hand-create one.

 -- James Ferguson <james.ferguson@canonical.com>  Thu, 31 Mar 2011 10:36:25 -0400

lenovo-thinkpad-default-settings (0.15) maverick; urgency=low

  * debian/control (Depends): it should have been
  bcmwl-kernel-source in the dependencies

 -- James Ferguson <james.ferguson@canonical.com>  Tue, 29 Mar 2011 14:07:11 -0400

lenovo-thinkpad-default-settings (0.14) maverick; urgency=low

  * debian/control (Depends): added bcmwl to depends, to force
  installation on machines in the field

  * etc/pm/config.d/00-thinkpad: new file to set hibernate mode to
  shutdown, specifically for x120e, but helpful/harmless for all
  platforms.

 -- James Ferguson <james.ferguson@canonical.com>  Mon, 28 Mar 2011 14:29:35 -0400

lenovo-thinkpad-default-settings (0.13) maverick; urgency=low

  * modified micmute.sh now has specific execution for X120e (LP:
  709343)

 -- James Ferguson <james.ferguson@canonical.com>  Mon, 21 Mar 2011 13:31:44 -0400

lenovo-thinkpad-default-settings (0.12) maverick; urgency=low

  * added /usr/share/X11/xorg.conf.d/20-trackpoint.conf to enable
  middle mouse scrolling, wheel emulation

 -- James Ferguson <james.ferguson@canonical.com>  Mon, 14 Mar 2011 15:38:37 -0400

lenovo-thinkpad-default-settings (0.11) maverick; urgency=low

  * debian/postrm: Fix typo that prevents successful removal of diversions
  * debian/copyright: Tweak copyright statement

 -- Steve Magoun <steve.magoun@canonical.com>  Wed, 09 Mar 2011 10:47:55 -0500

lenovo-thinkpad-default-settings (0.10) maverick; urgency=low

  * etc/sysctl.d/30-console-messages.conf:
    - Change default console loglevel to prevent some error messages from
      appearing when plymouth is in text mode. Workaround for LP: #722764

 -- Steve Magoun <steve.magoun@canonical.com>  Fri, 25 Feb 2011 09:08:12 -0500

lenovo-thinkpad-default-settings (0.9) maverick; urgency=low

  * disable-hibernate.pkla:
  * 20_default_to_suspend:
    - PolicyKit policy to disable hibernate on systems with ATI Mobility
      Radeon 45x0, since these GPUs don't resume from hibernate properly.

