=== debian/control ===
Source: lenovo-thinkpad-default-settings
Section: admin
Priority: extra
Maintainer: James Ferguson <james.ferguson@canonical.com>
Build-Depends: cdbs, debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~oem-solutions-group/sutton/lenovo-thinkpad-default-settings-natty/

Package: lenovo-thinkpad-default-settings
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, fluendo-eula
Description: Default configuration settings for Lenovo Thinkpad Systems
 This package contains default settings and gconf overrides for Lenovo Thinkpad systems
